Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87643 - srec cksums should match .bin cksums
Summary: srec cksums should match .bin cksums
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: RedBoot
Version: CVS
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gary Thomas
QA Contact: Jonathan Larmour
URL: http://sources.redhat.com/ml/ecos-dev...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-31 19:33 UTC by Jonathan Larmour
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:23:46 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2003-03-31 19:33:09 UTC
Description of problem:

With respect to this e-mail discussion:
http://sources.redhat.com/ml/ecos-devel/2003-03/msg00020.html

it would be useful for a cksum of the .bin file to match that of a loaded .srec
file somehow. Gary suggested possibly the srec loader in redboot filling in the
gaps although that's not brilliant; the alternative is for the srec to be
produced with the gaps filled in too, although I haven't found a way with
objcopy to do that (--gap-fill 0 by rights should do it, but maybe I've missing
something because I couldn't get it to work).

Comment 1 Alex Schuilenburg 2003-06-20 16:23:46 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=87643


Note You need to log in before you can comment on or make changes to this bug.